ncp(1)

NAME

ncp - copy files over TCP

SYNOPSIS

ncp host files...

ncp

DESCRIPTION

ncp is used to copy files over a network. It will open a TCP connection to the host given as argument 1 and then call tar to actually copy the files. Calling ncp without arguments will invoke server mode, that is, it will sit there and wait for a connection from another ncp. ncp will tell tar to preserve file ownership and permissions, and tar will automatically copy directory trees recursively. ncp will use IPv6 if available. ncp uses TCP port 8002 for its connections.

BUGS
ncp will call tar only after it has opened the connection. If you forgot to specify any files or tried to send nonexistant files, tar will spew out error messages. The peer will see no error messages! Not much error detection, error recovery or even decent error messages.

SEE ALSO
npush(1), npoll(1)

AUTHOR
Felix 'Fefe' von Leitner <felix@fefe.de>